# Module: Concurrent::Synchronization::RbxAttrVolatile

Defined in:
  lib/concurrent/synchronization/rbx_object.rb

## Defined Under Namespace

Modules: ClassMethods

## Instance Method Summary collapse

- #full_memory_barrier ⇒ undocumented

## Instance Method Details

### #full_memory_barrier ⇒ `undocumented`

    31
    32
    33
    34
    35

    # File 'lib/concurrent/synchronization/rbx_object.rb', line 31

    def full_memory_barrier
      # Rubinius instance variables are not volatile so we need to insert barrier
      # TODO (pitr 26-Nov-2015): check comments like ^
      Rubinius.memory_barrier
    end